%define name perl-vision
%define realname perlvision
%define version 0.2.0
%define release 2mdk
%define perlver 5.6.0

Name:		%{name}
Summary:	Perl module for curses-based text-mode interfaces
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Development/Perl
URL:		http://www.cpan.org
Source:		%{realname}-%{version}.tar.bz2
Requires:	perl = 5.005, ncurses, perl-Curses
Buildroot:	%{_tmppath}/%{name}-buildroot


%description
PerlVision is a perl 5 class library that enables you to implement an
attractive and versatile text-mode interface for your application programs. 
It contains support for most common input elements as well as for dialog
boxes with arbitrary combinations of input elements.


%prep -q
rm -rf $RPM_BUILD_ROOT

%setup -n PV

%build
mkdir -p $RPM_BUILD_ROOT

%install
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/perl5/site_perl/%{perlver}/i386-linux
install -m640 $RPM_BUILD_DIR/PV/PV.pm \
  $RPM_BUILD_ROOT/%{_prefix}/lib/perl5/site_perl/%{perlver}/i386-linux/PV.pm


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc PerlVision.doc rap README
%{_prefix}/lib/perl5/site_perl/*/i386-linux/PV.pm


%changelog
* Tue Sep 12 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.2.0-2mdk
- macros
- clean spec

* Wed Jun 21 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.2.0-1mdk
- initial specfile
- bzip sources
